Expose compute profiles via API
Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.5.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1107714 Red Hat JIRA:  

Pull request:    

Description

I've just upgraded to 1.4 so I could use compute profiles.

Could you please add compute profiles to API?

Related issues:

Related to Foreman - Feature #3178: add ability to apply a virtual hardware t... Closed 10/01/2013

Related to Foreman - Bug #4408: cannot provision VM using API or UI Resolved 02/18/2014

Related to Foreman - Bug #6342: Compute profile should be used when empty vol... Closed 06/23/2014

Related to Hammer CLI - Feature #6344: Commands for read operations around co... Closed

Has duplicate Foreman - Feature #4862: API v2 - add api/compute_profiles Duplicate 03/26/2014

Associated revisions

Revision 10ac97b0 - 05/12/2014 03:16 PM - Joseph Magen

fixes #4250 - API v2 - add compute profiles

Revision 9dc100e4 - 06/11/2014 01:02 PM - Joseph Magen

fixes #4250 - API v2 - add compute profiles

(cherry picked from commit 10ac97b0d91a2ef9769cc00d3ddf95e2b50ee545)

History

#1 - 02/05/2014 08:55 AM - Dominic Cleal

- Related to Feature #3178: add ability to apply a virtual hardware template at hostgroup level added

#2 - 02/05/2014 08:56 AM - Dominic Cleal

- Difficulty deleted (easy)

#3 - 03/05/2014 05:33 PM - Dominic Cleal

Which aspects in particular are the priority?

Being able to manage compute profiles, and their attributes, or just being able to provision using profiles already created?

#4 - 03/05/2014 05:33 PM - Dominic Cleal

- Tracker changed from Bug to Feature

#5 - 03/05/2014 05:33 PM - Dominic Cleal

- Related to Bug #4408: cannot provision VM using API or UI added

#6 - 03/06/2014 02:17 PM - Libor Zoubek

Dominic Cleal wrote:
Which aspects in particular are the priority?

Being able to manage compute profiles, and their attributes, or just being able to provision using profiles already created?

 Being able to provision using created profiles, especially I need to be able to retrieve profile by name, so I can pass profile_id when creating host.

#7 - 03/06/2014 02:22 PM - Dominic Cleal

Makes sense, thanks.  If we can fix this anyway (see #4408 for a little discussion of why it's broken), then you should be able to use

compute_profile_name without an additional lookup (same for all associations in 1.4).

#8 - 03/26/2014 08:50 AM - Dominic Cleal

- Has duplicate Feature #4862: API v2 - add api/compute_profiles added

#9 - 03/26/2014 09:55 AM - Joseph Magen

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1326

#10 - 03/26/2014 10:01 AM - Dominic Cleal

- Assignee set to Joseph Magen

- Target version set to 1.9.0

#11 - 03/26/2014 12:56 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#12 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#13 - 04/24/2014 10:22 AM - Anonymous

- Target version changed from 1.8.3 to 1.8.4

#14 - 04/24/2014 10:24 AM - Anonymous

- Target version changed from 1.8.4 to 1.8.3

#15 - 05/12/2014 03:19 PM - Dominic Cleal

- translation missing: en.field_release set to 16

#16 - 05/12/2014 03:31 PM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 10ac97b0d91a2ef9769cc00d3ddf95e2b50ee545.

#17 - 06/10/2014 12:57 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1107714

#18 - 06/23/2014 03:20 PM - Dominic Cleal

- Related to Bug #6342: Compute profile should be used when empty volumes and interfaces passed in compute_attributes added

#19 - 06/23/2014 03:31 PM - Dominic Cleal

- Related to Feature #6344: Commands for read operations around compute profiles and attributes added
